@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@100&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Roboto+Condensed:wght@300&display=swap');
:root {
    --color-background: rgb(26, 26, 26);
    --tooltiptext-width-border: 0.4rem;
}
*{box-sizing: border-box;font-family: 'Roboto', sans-serif;
    line-height: 1.6em;
    letter-spacing: .05em;
    font-weight: 250;
}
body,html {
    position: relative;
    overflow: hidden;
    width: 100%;
    margin: 0;
    padding: 0;
    color: #fff;
    background-color: var(--color-background);
    user-select: none;
    -webkit-user-drag: none;
    -moz-user-select: none;
    -webkit-user-select: none;
}
#loadingScreen h1{font-family: sans-serif; font-size: 5rem; 
    text-shadow: 1px 1px 2px black, 0 0 0.4em red, 0 0 0.4em white;}
#loadingScreen {
    position: absolute;
    display: block;
    width: 100%;
    height: 100%;
    color: #fff;
    background-color: #131313;
    font-size: 50px;
    text-align: center;
    z-index: 20;
    transition: opacity 0.3s;
}
#loader {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 100px;
    height: 100px;
    border: 16px solid #c8c8c8;
    border-top: 16px solid #e56432;
    border-radius: 50%;
    animation: spin 1.5s ease-in-out infinite;
}
#primary_content {
    display: flex;
    flex-direction: column;
    height: 100vh;
    width: 100vw;
}
header {
    position: relative;
    display: flex;
    justify-content: space-between;
    width: 100%;
    height: 50px;
    background-color: #fff;
    box-shadow: 2px 0 5px #000;
    z-index: 1;
    font-family: 'Roboto Condensed', sans-serif;
}
#menu_button_svg{display: none}
header *{font-family: sans-serif;
    line-height: 1rem;letter-spacing: unset;}
header > h1 {
    display: inline;
    color: #000;
    vertical-align: 50%;
    text-decoration-style: double;
}
#menu {
    width: 100%;
}
ul.menubar{
    position: absolute;
    right: 0;
    display: flex;
    list-style: none;
    margin: 0;
    overflow: hidden;
    height: 50px;
}
ul.menubar > li{
    margin: auto 4px;
    border: none;
    color: black;
}
nav a{text-decoration: none; color: rgb(39, 39, 39); padding: 10px 12px;}
nav ul li:not(:first-child):hover{background-color: rgba(136, 19, 19, 0.5);}
#menu svg {
    float: right;
    margin: 4px 6px;
}

button,input {
    border: none;
    outline: 0;
    border-radius: 0.5em;
    line-height: unset;
    font-size: .9rem;
}
input[type="range"] {
    appearance: none;
    -webkit-appearance: none;
    width: 100%;
    height: 0.4rem;
    margin: 0 0 4px 0;
    border-radius: 5px;
    background: #383838;
    outline: 0;
    opacity: 0.7;
    cursor: pointer;
    -webkit-transition: 0.3s;
    transition: opacity 0.2s;
}
input[type="range"]:hover {
    opacity: 1;
}
input[type="range"]::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 15px;
    height: 15px;
    border-radius: 40%;
    background: #583e3e;
    cursor: pointer;
}
input[type="range"]::-moz-slider-thumb {
    width: 15px;
    height: 15px;
    border-radius: 40%;
    background: #aa0505;
    cursor: pointer;
}
select {
    font-size: small;
    color: white;
    width: fit-content;
    padding: 0.5em 1em 0.4em 0.7em;
    box-sizing: border-box;
    margin: 0.2rem;
    border: none;
    outline: none;
    box-shadow: 0 1px 0 1px rgba(0, 0, 0, 0.04);
    border-radius: 0.5em;
    background: linear-gradient(#222, #444);
    background-repeat: repeat;
    background-position: right 0.7em top 50%, 0 0;
    background-size: 0.65em auto, 100%;
    user-select: none;
    -moz-user-select: none;
    -webkit-user-drag: none;
    -webkit-user-select: none;
}
option{
    padding: 4px;
    outline: 0;
    border-top: 1px solid #777;
    background-color: var(--color-background);
}
.center-dialog{
    position: absolute;
    display: none;
    flex-direction: column;
    left: 50%;
    top: 50%;
    width: 50%;
    min-width: 80px;
    max-width: 80%;
    height: 50%;
    transform: translate(-50%, -50%);
    padding: 1rem;
    margin: 1rem;
    color: #fff;
    background-color: #777;
    box-shadow: 0, 0, 1rem #020202;
    border-radius: 1rem;
}
.center-dialog > .closeModal{position: absolute; right: 0; width: 2em; height: 2em; background-color: #fff; color: black;
    padding: 4px 10px; margin: 4px; border-radius: 50%; cursor: pointer; transform: translate(50%, calc(-50% - 1rem)); text-align: center;}
.center-dialog > .closeModal:hover{font-weight: bold;}
.center-dialog > .dialog-content{
    overflow: auto;
    height: -webkit-fill-available;
}
.center-dialog > .dialog-buttons{
    display: flex;
    justify-content: space-around;
    position: relative;
    left: 0;
    bottom: 0;
    height: 15%;
}
#modal-window {
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.527);
    position: fixed;
    left: 0;
    top: 0;
    display: none;
}
#modal-guide-content {
    opacity: 0;
    -webkit-transition: 0.3s;
    transition: 0.3s;
}
#modal-guide-content > div {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 85%;
    overflow-y: auto;
    background: #2e2e2e;
}
#modal-guide-content h3,#modal-guide-content p {
    text-align: center;
    padding: 0 12px;
    margin: 0;
    font-size: 1rem;
    -webkit-transition: 0.3s;
    transition: 0.3s;
}
#modal-guide-content h3.modal-heading {
    margin: 0;
    height: 15%;
    font-size: 1.3rem;
    font-weight: 700;
    padding: 6px;
    color: #000;
}
#modal-guide-content > div > div {
    display: flex;
    justify-content: space-around;
    position: relative;
    left: 0;
    bottom: 0;
    height: 15%;
}
#modal-guide-content button.choice {
    outline: 0;
    height: 2rem;
    padding: 6px 8px;
    margin: 6px;
    font-size: 1.05rem;
    color: #f5f5f5;
    background-color: maroon;
}
#modal-guide-content button.recomended {
    box-shadow: 0 0 5px #fff;
}
#main-app-container {
    display: inline-flex;
    width: 100%;
    height: 65vh;
    max-height: calc(70vh - 35px);
}
.uicontainer {
    position: absolute;
    display: flex;
    justify-content: space-between;
    top: 10px;
    left: 50%;
    width: 50%;
    max-width: 15rem;
    transform: translateX(-50%);
    text-align: center;
    background-color: #0004;
padding: 0.25rem;    backdrop-filter: blur(4px);    border-radius: 0.25rem;}
.uicontainer>*, #transposeSelect{
    max-width: 2rem;
    max-height: 2rem;
    color: #fff;
    background: #444;
    outline: 0;
    border-radius: 6px;
    margin: 2px 0;
}
#playControlOptionBox > .pseudo-tables select{float: right;width: 9rem}
select#base-key-select {
    max-width: 100%;
}
#notePlayedIndicator {
    position: absolute;
    top: 10px;
}
#notePlayedIndicator > p {
    display: flex;
    min-width: 20px;
    max-width: 50px;
}
#notePlayedIndicator .currentNote,
#notePlayedIndicator .pastNote,
#notePlayedIndicator .previousNote {
    display: inline;
    background-color: #383838;
}
#notePlayedIndicator .currentNote {
    font-size: 1.2rem;
}
#notePlayedIndicator .previousNote {
    font-size: 1.1rem;
}
.tooltipable {
    position: relative;
    display: inline-block;
    border-bottom: 1px dotted #000;
}
.dataCellDataContainer,.tooltipable .tooltiptext {
    visibility: hidden;
    width: max-content;
    background-color: #444;
    color: #fff;
    text-align: center;
    padding: 0.3rem;
    border-radius: 6px;
    position: absolute;
    z-index: 9;
    top: 50%;
    right: calc(100% + var(--tooltiptext-width-border));
    font-size: small;
    white-space: nowrap;
    opacity: 0;
    transform: translateY(-50%);
    transition: opacity 0.3s;
}
.tooltipable.top .tooltiptext{
    top: unset;
    bottom: calc(100% + var(--tooltiptext-width-border));
    left: 50%;
    transform: translateX(-50%);
}
.tooltipable.bottom .tooltiptext{
    top: calc(100% + var(--tooltiptext-width-border));
    left: 50%;
    transform: translateX(-50%);
}
.dataCellDataContainer,.tooltipable.right .tooltiptext{
    left: calc(100% + var(--tooltiptext-width-border));
    transform: translateY(-50%);
}
.dataCellDataContainer,.tooltipable .tooltiptext::before, .tooltipable .tooltiptext::after{
    content: "";
    position: absolute;
    border: var(--tooltiptext-width-border) solid transparent;
}
.tooltipable.bottom .tooltiptext::before {
    bottom: 100%;
    right: 50%;
    margin-bottom: calc(var(--tooltiptext-width-border) * -1);
    border-color: transparent #444 transparent transparent;
}
.tooltipable.bottom .tooltiptext::after {
    bottom: 100%;
    left: 50%;
    margin-bottom: calc(var(--tooltiptext-width-border) * -1);
    border-color: transparent transparent transparent #444;
}
.tooltipable.right .tooltiptext::before {
    bottom: 50%;
    right: 100%;
    margin-right: calc(var(--tooltiptext-width-border) * -1);
    border-color: transparent transparent #444 transparent;
}
.tooltipable.right .tooltiptext::after {
    top: 50%;
    right: 100%;
    margin-right: calc(var(--tooltiptext-width-border) * -1);
    border-color: #444 transparent transparent transparent;
}
.tooltipable.left .tooltiptext::before {
    bottom: 50%;
    left: 100%;
    margin-left: calc(var(--tooltiptext-width-border) * -1);
    border-color: transparent transparent #444 transparent;
}
.tooltipable.left .tooltiptext::after {
    top: 50%;
    left: 100%;
    margin-left: calc(var(--tooltiptext-width-border) * -1);
    border-color: #444 transparent transparent transparent;
}
.tooltipable.top .tooltiptext::before {
    top: 100%;
    right: 50%;
    margin-top: calc(var(--tooltiptext-width-border) * -1);
    border-color: transparent #444 transparent transparent;
}
.tooltipable.top .tooltiptext::after {
    top: 100%;
    left: 50%;
    margin-top: calc(var(--tooltiptext-width-border) * -1);
    border-color: transparent transparent transparent #444;
}
.tooltipable:hover .tooltiptext {
    visibility: visible;
    opacity: 1;
}
#side-panel {
    display: flex !important;
    flex-direction: column;
    box-shadow: inset 0 0 6px #000;
    padding-top: 8px;
    width: 25%;
    height: 100%;
    transition-duration: 0.3s;
}
ul.tab {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    width: 100%;
    margin: auto;
    padding: 0;
    border-bottom: 1px solid #930;
    overflow-x: auto;
    overflow-y: hidden;
}
ul.tab li.tab-element {
    line-height: normal;
    width: fit-content;
    margin-left: 2px;
    margin-right: 4px;
    padding: 4px;
    font-weight: bold;
    font-size: small;
    cursor: pointer;
}
ul.tab .selected {
    color: snow;
    background-color: #323232;
    border-radius: 5px;
    animation: fadein 0.3s;
}
ul.list-container {
    position: relative;
    overflow-y: auto;
    overflow-x: hidden;
    padding-left: 0;
    height: 70%;
    width: 100%;
}
#side-panel ul.list-container:not(#variant-list-container) {
    display: none;
    opacity: 0;
}
ul li {
    position: relative;
    display: flex;
    width: 100%;
    padding: 2px;
    line-height: 1.5rem;
    cursor: pointer;
    list-style: none;
}
.activeSound{color: white; background-color: #141;}
ul.list-container details {
    position: relative;
    width: 100%;
}
ul li img {
    background-color: #d3d3d3;
    color: #000;
}
ul li img:hover {
    background-color: #a83e01;
}
ul.list-container :hover {
    background-color: #3f3f3f;
}
#variant-list-container summary{display: flex; justify-content: space-between; border-top: 1px solid grey;}
#variant-list-container>li>details>details, #variant-list-container>li>details>details>div{padding-left: 1rem;}
.switchon{border: 1px solid #b44; margin: 0.5rem; color: white; background-color: transparent;}
.switchon:hover{color: white; background-color: #b44;}

.switch {
	cursor: pointer;
	width: 2rem !important;
	height: 1rem !important;
	background: grey;
	display: block;
	border-radius: 1rem/1rem !important;
    position: relative;
    border: none; margin: 0.5rem !important;
}
.switch:after {
	content: '';
	position: absolute;
	top: 0.05rem;
	left: 0.05rem;
	width: 0.9rem;
	height: 0.9rem;
	background: #fff;
	border-radius: 0.9rem;
	transition: 0.3s;
}
.switchon {
	background-color: #bada55;
}
.switchon:after {
	left: calc(100% - 0.05rem);
	transform: translateX(-100%);
}
.switch:active:after {
	width: 1.3rem;
}
.toolslist {
    display: flex;
    gap: 0.5rem;
    margin: 0.25rem;
    justify-content: space-around;
}
#save{width: 100%; background-color: #aa0505; line-height: normal; padding: 0.25rem; border-radius: unset; color: white; cursor: pointer;}

#sound-library-list-container .list-element, #cart-list-container .list-element{
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    justify-items: center;
    align-items: center;
    font-size: small;
    width: 100%;
}

::-webkit-scrollbar {
    width: 0.35rem;
    height: 0.35rem;
    background-color: #cfcfcf;
}
::-webkit-scrollbar-thumb {
    background-color: #aa0505;
}
::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(26, 26, 26, 0.39);
    box-shadow: inset 0 0 6px rgba(26, 26, 26, 0.39);
    background-color: #f5f5f5;
}
#canvas-cont {
    display: flex;
    position: relative;
    width: 75%;
    height: 100%;
    transition-duration: 0.3s;
}
canvas#renderCanvas {
    width: 100%;
    height: 100%;
    outline: 0;
    touch-action: none;
}
#rightpanel{display: flex; flex-direction: column; width: 25%; padding: .25rem;}
#rightpanel> #adspace{height: 50%; background-color: #393939; box-shadow: inset 0 0 12px #000;}
.switchable, #record-bar-container {
    display: flex;
    position: relative;
    bottom: 0;
    width: 100%;
    height: 30vh;
    min-height: 50px;
    background-color: var(--color-background);
}
#record-bar-container #record-table-container {
    position: relative;
}
#record-table +button{
    display: none;
}
#metronome-section {
    text-align: center;
    margin-bottom: 8px;
    font-size: small;
}
.pseudo-tables {
    display: flex;
    justify-content: space-between;
    gap: 1em;
    align-items: center;
    padding: 2px 4px;
}
.pseudo-tables span{
    width: 50%;
}
#metronome-section input:not(input[name=with_metro]) {
    width: 60%;
}
#metronome-section button {
    width: 100%;
    font-size: small;
    user-select: none;
    border: none;
    background-color: #aa0505;
    line-height: normal;
    padding: 0.25rem;
    color: white;
    cursor: pointer;
}
#record-bar-container form > button[type="submit"] {
    position: fixed;
    z-index: 8;
    right: 10px;
    bottom: 10px;
    font: 1.1em;
    background-color: #fff;
    border-radius: 50%;
    box-shadow: 0 0 4px #777;
}
@media only screen and (max-width: 992px) {
    .tab i:first-child {
        display: none;
    }
    .tab li.tab-element {
        font-size: large;
    }
}
@media only screen and (min-width: 992px) {
    .tab i:last-child {
        display: none;
    }
    .tab li.tab-element {
        font-size: larger;
    }
}
@media only screen and (max-width: 600px) {
    #modal-guide-content {
        width: 80%;
    }
    #side-panel {
        position: relative;
        left: 0;
        top: 0;
        width: 25%;
    }
    #canvas-cont {
        width: 100%;
    }
    .tab i:first-child {
        display: none;
    }
    .tab svg {
        margin: 2px;
        width: 16px;
        height: 16px;
    }
    .tab i:not(:first-child):hover .tab i:first-child {
        display: inline;
    }
    .tab a.tab-element {
        font-size: medium;
    }
    ul li {
        line-height: 1rem;
        margin: 2px;
        font-size: medium;
        padding: 2px;
    }
    div#metronome-section :first-child {
        font-size: 0.85rem;
    }
    div#metronome-section p:not(:first-child) {
        display: flex;
        flex-direction: column;
    }
    #metronome-section input {
        width: 90%;
    }
    div#metronome-section button {
        width: 20%;
    }
    tr {
        height: 30px;
    }
    td {
        width: 50px;
        height: 30px;
    }
}
@media only screen and (max-height: 250px) {
    #record-bar-container {
        display: none;
    }
}
@media only screen and (max-height: 420px) {
    ul.list-container {
        min-height: 75%;
    }
    ul li {
        line-height: 1rem;
        font-size: medium;
        padding: 2px;
    }
    #playOptions {
        position: absolute;
    }
    tr {
        height: 30px;
    }
    td {
        width: 50px;
        height: 30px;
    }
}
.emphasized-element {
    border:  2px solid rgb(0, 250, 0);
    box-shadow: 0 0 8px green;
    animation: 1s infinite alternate changecolor;
    -webkit-animation: 1s infinite alternate changecolor;
}
#metro-indicator {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    position: absolute;
    left: 2px;
    top: 10px;
    max-height: 250px;
    background-color: rgba(122, 122, 122, 0.473);
}
#metro-indicator div {
    width: 25px;
    height: 25px;
    margin: 4px;
    border-radius: 15px;
    background-color: #add8e6;
    transform: scale(1);
    transition-duration: 0.3s;
}
#metro-indicator div.current-step {
    background-color: #640000;
    transform: scale(1.1);
}
#playOptions {
    display: flex;
    justify-content: space-between;
    position: relative;
    top: 0;
    width: 100%;
    height: 2rem;
    border-top-left-radius: 6px;
    border-top-right-radius: 6px;
    overflow: hidden;
    color: #000;
    background-color: #e6e6fa;
}
#playOptions svg{min-width: 1rem; min-height: 1rem; margin: 0.15rem; padding: 0.15rem;}
#playOptions svg:hover{border-radius: 50%; background-color: rgba(0, 0, 0, 0.8);}
#playOptions_controls {
    display: inline-flex;
    align-items: center;
    background-color: #fff;
    margin-right: 4px;
    padding: 2px;
    width: fit-content;
    max-width: 10em;
    border-top-left-radius: 6px;
}
#playOptions_controls>svg{margin: 0.15rem;}
#playOptions #seekcell{
    display: grid; 
    grid-template-columns: repeat(7, 1fr); 
    width: 100%;
}
#seekcell>span{margin: auto; font-size: small;}
#playOptions #seeker {
    position: relative;
    height: 6px;
    border-radius: 3px;
    padding: 1px;
    grid-column: 2;
    grid-column-start: 2;
    grid-column-end: 7;
    top: 50%;
    transform: translateY(-50%);
    width: 100%;
    background-color: #323232;
}
#keyLabels {
    position: absolute;
    display: block;
    bottom: 0;
    right: 1px;
    width: 100%;
    background-color: #5e5e5e;
    box-sizing: border-box;
    transition-duration: .4s;
}
#open2dButton {
    background: #a8a8a8;
    transition-duration: .4s;
}
#twoDContainer {
    position: relative;
    display: none;
    width: 100%;
    margin:  5px;
    padding: 5px;
    overflow-x: auto;
    background: linear-gradient(#2e2e2e, #a8a8a8);
    box-shadow: 0 2px 6px #000;
    box-sizing: border-box;
}
.octave {
    position: relative;
    display: inline-flex;
    height: 120px;
}
div.whiteKey2d {
    position: relative;
    top: 30px;
    height: 75%;
    margin-right: 2px;
    background-color: #fff;
    background-image: url('/textures/whiteKey.jpg');
    background-blend-mode: overlay;
    background-size: cover;
    opacity: 1;
    box-shadow: 2px 0 3px #000;
}
div.blackKey2d {
    position: absolute;
    left: 0;
    height: 40%;
    top: 30px;
    background-color: #000;
    background-image: url('/textures/black.jpg');
    background-blend-mode: normal;
    background-size: 100% 80%;
    opacity: 1;
}
div.pressedKey2d {
    background-color: green;
}
div.whiteKey2d:hover {
    background-color: grey;
}
div.blackKey2d:hover {
    background-color: #2b2b2b;
}
.keylabeltext {
    font-size: 0.8rem;
    position: relative;
    left: 40%;
    font-family: 'Roboto Condensed', sans-serif;
    letter-spacing: unset;
    line-height: 1rem;
}
svg:hover circle:not(.non-interactive), svg:hover path:not(.non-interactive) {
    fill: #a41d33;
}
#playOptions_controls path.play_path {
    display: inline;
    transition: d 0.3s;
    fill: #000;
}
#playOptions_controls path.pause_path {
    display: inline;
    d: path('M8,5 v17 h3 v-17 z M16,5 v17 h3 v-17 z')
}
#controlOpt_svg {
    margin-right: 4px;
    padding: 2px 0;
    cursor: pointer;
}
#record-bar-container > #record-table-container {
    overflow: auto;
}
.hoverScrollButton{
    position: absolute;
    left: 0;
    top: 50%;
    outline: none;
    background-color: transparent;
    opacity: 0.5;
    line-height: normal;
    letter-spacing: normal;
    padding: 6px;
    border-top-right-radius: 50%;
    border-bottom-right-radius: 50%;
}
.hoverScrollButton:last-of-type{
    left: unset;
    right: 0;
    border-top-left-radius: 50%;
    border-bottom-left-radius: 50%;
}
#record-bar-container > #editsubpanel{
    display: none;
    flex-flow: column;
    gap: 0.25rem;
    justify-content: space-between;
    align-items: center;
    position: absolute;
    right: -30%;
    padding: 0.5em;
    background-color: var(--color-background);
    font-size: small;
    width: 0;
    max-width: 35%;
    height: 100%;
    box-shadow: -5px 0 12px #000;
    transition-duration: .4s;
}
#editsubpanel > .tab{margin: 0; min-height: fit-content; min-height: 16%;}
#editsubpanel button{font-size: small;}
#editsubpanel>#note,#editsubpanel>#interval{display: none; overflow: auto;}
#editsubpanel>#note>*,#editsubpanel>#interval>*{margin: .25em; background-color: #282828;}
#editsubpanel .row{display: flex; justify-content: space-between; align-items: center; gap: 1rem;}
#editsubpanel>#note>* .section-content *{margin: .25em 0;}
#editsubpanel details{margin: .25em 0;}
#editsubpanel summary{background-color: #242424;}
#editsubpanel > div:last-child{
    margin-top: auto;
    direction: rtl;
}
#record-bar-container #record-control {
    position: absolute;
    top: 0;
    display: flex;
    justify-content: space-around;
    width: 100%;
    background-color: #4b4b4b71;
}
#record-bar-container .record-bar-control {
    display: flex;
    align-items: center;
    width: 100%;
    background-color: #4b4b4b4f;
    border-right: 1px solid crimson;
}
#record-bar-container #record-control>.record-bar-control>* {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 2em;
    height: 2em;
    border-radius: 50%;
    margin: 0 0.5em;
    text-align: center;
    outline: 0;
    user-select: none;
}
#record-bar-container #record-control>.record-bar-control>#editModes{
    width: fit-content;
    border-radius: 1rem;
}
#record-bar-container #record-control>.record-bar-control>div{
    display: flex;
    margin: 0;
    padding: 0.15rem;
    width: fit-content;
}
#keyTimeSliderContainer{
    transition: 0.3s;
}
#record-button{
    display: inline;
}
#record-button, #record-playback-button{
    display: flex;
    align-items: center;
    width: 2em;
    height: 2em;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}
#record-button + select, #record-playback-button + select{
    width: 1em;
    margin: 0;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
    background: linear-gradient(#ccc, #fff);
    color: #000;
}
#record-button + select>option, #record-playback-button + select>option{color: #fff}
#record-table{
    position: relative;
    top: 2em;
}
#record-table *{
    font-family: 'Roboto Condensed', sans-serif;
    font-size: 0.85rem;
    letter-spacing: unset;
}
table {
    table-layout: fixed;
    border-collapse: collapse;
    empty-cells: show;
    color: #222;
    width: 100%;
}
tr {
    background-color: #d9f2f8;
    height: 40px;
}
td {
    position: relative;
    border: 1px solid gray;
    width: 60px;
    height: 40px;
    text-align: center;
    content-visibility: auto;
    contain-intrinsic-size: auto 60px;
}
td.selectedIntervalTime {
    background-color: #d6951d;
}
td.recordingtimeat{background-color: #7283bd; transition-duration: .4s;}
td.selectedFinger {
    background-color: #bd72a0;
}
td.selectedDataCell {
    background-color: #6a86e0;
}
tr.level1row td:nth-child(1) {
    width: 90px;
}
tr.level1row td:nth-child(2) {
    width: calc(100% - 90px);
}
tr.level1row td:nth-child(2) td:not(:last-child) {
    width: 60px;
    height: 30px;
}
tr.level1row td:nth-child(2) td:last-child {
    width: calc(100% - 60px);
}
p.keyDot {
    min-width: 20px;
    height: 20px;
    margin: 5px;
    border-radius: 10px;
    background-color: #9acd32;
}
p.recordTableKeyTimeParagraph {
    font-size: 1em;
    font-weight: 700;
    color: #444;
}
#scoresheetoutput{display: none;}
.range-wrap {
    position: relative;
}
.range-value {
    position: absolute;
    bottom: 3.2em;
}
.range-value span {
    padding: .25rem;
    width: fit-content;
    max-width: 24px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: clip;
    line-height: normal;
    text-align: center;
    background-color: #b80e02;
    color: #fff;
    font-size: smaller;
    display: block;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    border-radius: 50%;
}
.range-value span:before {
    content: "";
    position: absolute;
    width: 0;
    height: 0;
    border-top: 10px solid #b80e02;
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    top: 100%;
    left: 50%;
    margin-left: -5px;
    margin-top: -1px;
}
#navigationExcessBox, #demoSubNavigationBox{left: unset; right: 0; padding: 12px 24px;}
#navigationExcessBox li{
    padding: 8px;
    font-weight: bold;
    border: none;
    border-radius: 8px;
    margin: 0;
}#navigationExcessBox li:hover{
    background-color: #bbb;
}
#navigationExcessBox #show_metronome_handle{display: none;}
#navigationExcessBox li a{
    width: 100%;
    text-decoration: none;
}
.toggleable {
    position: absolute;
    display: none;
    left: 0;
    width: fit-content;
    min-width: 80px;
    height: fit-content;
    padding: 10px;
    margin: 8px;
    background-color: #fff;
    color: #000;
    font-weight: bold;
    font-size: small;
    border-radius: 8px;
    box-shadow: 0 2px 12px #444;
    overflow-y: auto;
    transform-origin: top left;
    animation: toggleableScalein 0.3s;
}
.toggleable *{font-weight: bold;}
.toggleable > div {
    margin: 8px 0;
}
.toggleable > ul{
    padding: 0;
}
.toggleable li:hover{background-color: #99f;}
.toggleable .close{float: right; cursor: pointer;}
div.empty-cell-pressed {
    display: block;
}
#paymentDialog, #downloadDialog{
    width: fit-content;
    min-width: 80px;
    height: fit-content;
    padding: 1rem;
    margin: 1rem;
    text-align: center;
    background-color: #fff;
    color: black;
    font-size: small;
}
#downloadProgress{
    position: absolute;
    height: 0;
    width: calc(100% - 2em);
    opacity: 0.4;
    background: linear-gradient(135deg,#1f005c, #5b0060, #870160, #ac255e, #ca485c, #e16b5c, #f39060, #ffb56b) fixed;
    --mask: radial-gradient(36.29px at 50% calc(100% + 21.60px),#0000 calc(99% - 8px),#000 calc(101% - 8px) 99%,#0000 101%) calc(50% - 48px) calc(50% - 16px + .5px)/96px 32px ,
    radial-gradient(36.29px at 50% -21.6px,#0000 calc(99% - 8px),#000 calc(101% - 8px) 99%,#0000 101%) 50% calc(50% + 16px)/96px 32px ;
    -webkit-mask: var(--mask);
    mask: var(--mask);
    transition-duration: 1s;
}
#paymentDialog>#tab, #downloadDialog>#tab{background-color: #ddd;}
.keyvalue{
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: 0.5rem 0;
    width: 100%;
}
.keyvalue>*{
    width: 50%;
}
.commpiano_button1{
    color: white;
    box-shadow: 0 0 .5rem #999;
    background-color: #c00;
}
#downloadDialog>video{width: 100%; max-width: 250px; margin: 0 auto;}
#downloadDialog>.downloadlink{
    padding: .5rem;
    margin: .25em;
    color: white;
    box-shadow: 0 0 .5rem #999;
    text-decoration: none;
    background-color: #c00;
    transition-duration: .3s
}
#downloadDialog>.downloadlink:hover{
    color: #c00;
    background-color: white;
}

.rating {
    display: flex;
    width: 100%;
    justify-content: center;
    flex-direction: row-reverse;
    position: relative;
}

.rating-0 {
    filter: grayscale(100%);
}

.rating > input {
    display: none;
}

.rating > label {
    cursor: pointer;
    width: 40px;
    height: 40px;
    margin-top: auto;
    background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' width='126.729' height='126.73'%3e%3cpath fill='%23e3e3e3' d='M121.215 44.212l-34.899-3.3c-2.2-.2-4.101-1.6-5-3.7l-12.5-30.3c-2-5-9.101-5-11.101 0l-12.4 30.3c-.8 2.1-2.8 3.5-5 3.7l-34.9 3.3c-5.2.5-7.3 7-3.4 10.5l26.3 23.1c1.7 1.5 2.4 3.7 1.9 5.9l-7.9 32.399c-1.2 5.101 4.3 9.3 8.9 6.601l29.1-17.101c1.9-1.1 4.2-1.1 6.1 0l29.101 17.101c4.6 2.699 10.1-1.4 8.899-6.601l-7.8-32.399c-.5-2.2.2-4.4 1.9-5.9l26.3-23.1c3.8-3.5 1.6-10-3.6-10.5z'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: center;
    background-size: 76%;
    transition: .3s;
}

.rating > input:checked ~ label, .rating > input:checked ~ label ~ label {
    background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' width='126.729' height='126.73'%3e%3cpath fill='%23fcd93a' d='M121.215 44.212l-34.899-3.3c-2.2-.2-4.101-1.6-5-3.7l-12.5-30.3c-2-5-9.101-5-11.101 0l-12.4 30.3c-.8 2.1-2.8 3.5-5 3.7l-34.9 3.3c-5.2.5-7.3 7-3.4 10.5l26.3 23.1c1.7 1.5 2.4 3.7 1.9 5.9l-7.9 32.399c-1.2 5.101 4.3 9.3 8.9 6.601l29.1-17.101c1.9-1.1 4.2-1.1 6.1 0l29.101 17.101c4.6 2.699 10.1-1.4 8.899-6.601l-7.8-32.399c-.5-2.2.2-4.4 1.9-5.9l26.3-23.1c3.8-3.5 1.6-10-3.6-10.5z'/%3e%3c/svg%3e");
}

.rating > input:not(:checked) ~ label:hover, .rating > input:not(:checked) ~ label:hover ~ label {
    background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' width='126.729' height='126.73'%3e%3cpath fill='%23d8b11e' d='M121.215 44.212l-34.899-3.3c-2.2-.2-4.101-1.6-5-3.7l-12.5-30.3c-2-5-9.101-5-11.101 0l-12.4 30.3c-.8 2.1-2.8 3.5-5 3.7l-34.9 3.3c-5.2.5-7.3 7-3.4 10.5l26.3 23.1c1.7 1.5 2.4 3.7 1.9 5.9l-7.9 32.399c-1.2 5.101 4.3 9.3 8.9 6.601l29.1-17.101c1.9-1.1 4.2-1.1 6.1 0l29.101 17.101c4.6 2.699 10.1-1.4 8.899-6.601l-7.8-32.399c-.5-2.2.2-4.4 1.9-5.9l26.3-23.1c3.8-3.5 1.6-10-3.6-10.5z'/%3e%3c/svg%3e");
}

#quick_feedback {
    position: fixed;
    right: -350px;
    bottom: 0;
    background-color: #444;
    max-width: 350px;
    width: 100%;
    max-height: 200px;
    padding: 1em;
    padding-bottom: 0;
    border-radius: 8px;
    visibility: hidden;
    overflow: hidden;
    flex-direction: column;
    align-items: center;
    box-shadow: 0 4px 30px rgb(0, 0, 0);
    transition-duration: .3s;
    -moz-transition-duration: .3s;
    -webkit-transition-duration: .3s;
    transition-timing-function: ease-in;
}
#quick_feedback>div:first-of-type{overflow-y: auto; margin-bottom: .5em; height: 200px;}
#quick_feedback>div:first-of-type>i{font-size: small;}
#quick_feedback textarea{width: 100%; font-weight: bold;}
#quick_feedback h3{
    margin: 0;
    color: white;
    font-weight: bold;
}
#quick_feedback_buttons{
    position: absolute;
    bottom: 0;
    width: 100%;
    background-color: grey;
    text-align: center;
    padding: .4em;
}
#quick_feedback_buttons button{padding: .3em .6em; margin: 0 5%;}
#in_app_notification{
    display: none;
    align-items: center;
    gap: 1rem;
    position: absolute;
    top: 0;
    right: 0;
    width: fit-content;
    max-width: 20rem;
    padding: 1rem;
    box-shadow: 0 0 1rem #666;
    background-color: #fff;
    z-index: 1;
}
#in_app_notification>svg{width: 20%;}
#in_app_notification>span{width: 100%; color: black; font-size: small;}
@keyframes spin {
    from {
        transform: rotate(0);
    }
    50% {
        border-top: 16px solid #00f;
    }
    to {
        transform: rotate(360deg);
        border-top: 16px solid #e56432;
    }
}
@keyframes fadein {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}
@keyframes changecolor {
    from {
        border: 2px solid rgb(0, 250, 0);
    }
    to {
        border: 2px solid rgb(0, 100, 0);
    }
}
@keyframes toggleableScalein {
    from {
        transform: scale(0);
    }
    to {
        transform: scale(1);
    }
}
@keyframes toggleableScaleout {
    from {
        transform: scale(1);
    }
    to {
        transform: scale(0);
    }
}
@keyframes stretchvertical {
    from {
        transform: scaleY(0);
    }
    to {
        transform: scaleY(1);
    }
}
@keyframes compressvertical {
    from {
        transform: scaleY(1);
    }
    to {
        transform: scaleY(0);
    }
}

@view-transition {
    navigation: auto
}